## xplico 1.2.2

=== Makefile ===
# Makefile
#
# $Id: $
#
# Xplico - Internet Traffic Decoder
# By Gianluca Costa <g.costa@xplico.org>
# Copyright 2007-2014 Gianluca Costa & Andrea de Franceschi. Web: www.xplico.org
#
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

# root directory
ROOT_DIR = $(shell pwd)

ifndef DEFAULT_DIR
DEFAULT_DIR = /opt/xplico
endif
ifdef DESTDIR
INSTALL_DIR = $(DESTDIR)/$(DEFAULT_DIR)
else
INSTALL_DIR = $(DEFAULT_DIR)
endif

# sub directory
SUBDIRS = capt_dissectors common dissectors dispatch manipulators system

# xplico library
XPL_LIB = $(ROOT_DIR)/common/libxplico_core.a $(ROOT_DIR)/capt_dissectors/libxplico_capt.a $(ROOT_DIR)/dispatch/libxplico_dispatch.a $(ROOT_DIR)/dissectors/libxplico_dissector.a

# src file
SRC = xplico.c report.c

# compilation
INCLUDE_DIR = -I$(ROOT_DIR)/include -I$(ROOT_DIR)/common/include -I$(ROOT_DIR)/dissectors/include -I$(ROOT_DIR)/capt_dissectors/include -I$(ROOT_DIR)/dispatch/include
LDFLAGS = -L$(ROOT_DIR) -ldl -lpthread -lz -lssl -lcrypto
CFLAGS = -rdynamic $(INCLUDE_DIR) -Wall -fPIC -D_FILE_OFFSET_BITS=64 -U_FORTIFY_SOURCE
MODULE_PATH = modules

# pedantic statistics
CFLAGS += -DXPL_PEDANTIC_STATISTICS=1

# optmimization
ifdef O3
CFLAGS += -O3
 ifndef CHECKOFF
 CHECKOFF = 1
 endif
else
#CFLAGS += -g -ggdb -dr
CFLAGS += -g -ggdb -O0
endif

# performance
ifdef GPROF
CFLAGS += -pg
endif

# table of flows sorted
ifndef FTBL_NOSORT
CFLAGS += -DFTBL_SORT=1
endif

# enable check code
ifndef CHECKOFF
CFLAGS += -DXPL_CHECK_CODE=1
endif

# architeture type
ifdef CROSS_COMPILE
CC = $(CROSS_COMPILE)gcc
STRIP = $(CROSS_COMPILE)strip
else
STRIP = strip
CFLAGS += -DXPL_X86=1
endif

# timeout connection in realtime acq
ifdef RT_TO
CFLAGS += -DXPL_REALTIME=1
endif

# verify GeoIP library source code
ifdef DISABLE_GEOIP
CFLAGS += -DGEOIP_LIBRARY=0
else
GEOIP_LIB = $(shell pkg-config --libs libmaxminddb)
LDFLAGS += $(GEOIP_LIB)
CFLAGS += -DGEOIP_LIBRARY=1
INCLUDE_DIR += $(shell pkg-config --cflags libmaxminddb)
endif

# nDPI local version (from source code)
ifdef LOCAL_NDPI
$(shell ln -sf $(ROOT_DIR)/../nDPI/src/include $(ROOT_DIR)/../nDPI/src/include/libndpi)
endif

# main cflags
MCFLAGS = $(CFLAGS) -DLOG_COMPONENT=-1

# To make it visible
export CC CCPP ROOT_DIR CFLAGS LDFLAGS INCLUDE_DIR INSTALL_DIR GEOIP_LIB LOCAL_NDPI

all: subdir xplico mdl check_version

help:
	@echo "Flags:"
	@echo "    VER=<string>      --> string is the release name, otherwise the date is the name"
	@echo "    LOCAL_NDPI=1      --> will be used local nDPI (not installed), from ../nDPI and linked statically"
	@echo "    GPROF=1           --> enable gprof compilation"
	@echo "    FTBL_NOSORT=1     --> disable sort in flows manager"
	@echo "    DISABLE_GEOIP=1   --> disable GeoIP library"
	@echo "    O3=1              --> enable optimization"
	@echo " "
	@echo "Comands:"
	@echo "    help    --> this help"
	@echo "    reset   --> delete default tmp data"
	@echo "    clean   --> clean"
	@echo "    tgz     --> project snapshot"
	@echo "    install --> install in $(INSTALL_DIR)"
	@echo "    check_version --> check version"
	@echo " "

# version name
ifndef VER
VER = $(shell date +%Y_%m_%d)
endif


xplico: $(SRC:.c=.o) $(XPL_LIB)
	$(CC) $(MCFLAGS) -o $@ $(SRC:.c=.o) $(XPL_LIB) $(LDFLAGS)
	mkdir -p tmp
	mkdir -p xdecode


subdir:
	@for dir in $(SUBDIRS) ; \
	   do $(MAKE) -C $$dir || exit 1; \
	 done


mdl:
	mkdir -p $(MODULE_PATH)
	cp -a dissectors/*/*.so $(MODULE_PATH)
	cp -a capt_dissectors/*/*.so $(MODULE_PATH)
	cp -a dispatch/*/*.so $(MODULE_PATH)


clean: reset
	@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir clean; done
	rm -f xplico *.o *~ *.log .depend val.* *.expand
	rm -rf $(MODULE_PATH)
	rm -rf debian/xplico*
	rm -f webmail/*/*~
	rm -f */*~
	rm -f */*/*~
	rm -f *.tgz


installcp: all 
	rm -rf $(INSTALL_DIR)/*
	mkdir -p $(INSTALL_DIR)
	chmod 777 $(INSTALL_DIR)
	mkdir -p $(INSTALL_DIR)/bin
	mkdir -p $(INSTALL_DIR)/bin/modules
	mkdir -p $(INSTALL_DIR)/script
	mkdir -p $(INSTALL_DIR)/script/db
	mkdir -p $(INSTALL_DIR)/cfg
	mkdir -p $(INSTALL_DIR)/log
	cp -a xplico $(INSTALL_DIR)/bin
#	strip -s $(INSTALL_DIR)/bin/xplico
	cp -a $(MODULE_PATH)/* $(INSTALL_DIR)/bin/modules
#	strip -s  $(INSTALL_DIR)/bin/modules/*.so
	cp -a LICENSE COPYING* $(INSTALL_DIR)/
	cp -a config/xplico_install_*.cfg $(INSTALL_DIR)/cfg
	cp -a config/xplico_cli_fix.cfg $(INSTALL_DIR)/cfg/xplico_cli.cfg
	cp -a config/xplico_cli_fix_nc.cfg $(INSTALL_DIR)/cfg/xplico_cli_nc.cfg
	cp -a config/mfbc_install_*.cfg $(INSTALL_DIR)/cfg
	cp -a config/mfbc_cli_fix.cfg $(INSTALL_DIR)/cfg/mfbc_cli.cfg
	cp -a config/mwmail_install_*.cfg $(INSTALL_DIR)/cfg
	cp -a config/mwmail_cli_fix.cfg $(INSTALL_DIR)/cfg/mwmail_cli.cfg
	cp -a config/mfile_install_*.cfg $(INSTALL_DIR)/cfg
	cp -a config/mfile_cli_fix.cfg $(INSTALL_DIR)/cfg/mfile_cli.cfg
	cp -a config/mpaltalk_install_*.cfg $(INSTALL_DIR)/cfg
	cp -a config/mpaltalk_cli_fix.cfg $(INSTALL_DIR)/cfg/mpaltalk_cli.cfg
	cp -a config/mwebymsg_install_*.cfg $(INSTALL_DIR)/cfg
	cp -a config/mwebymsg_cli_fix.cfg $(INSTALL_DIR)/cfg/webymsg_cli.cfg
	cp -a config/tcp_grb_dig.cfg $(INSTALL_DIR)/cfg/tcp_grb_dig.cfg
	
ifeq ($(wildcard GeoLite2-City.mmdb), GeoLite2-City.mmdb)
	cp -a GeoLite2-City.mmdb $(INSTALL_DIR)/GeoLite2-City.mmdb
endif
ifeq ($(wildcard pcl6), pcl6)
	cp -a pcl6 $(INSTALL_DIR)/bin
endif
ifeq ($(wildcard videosnarf), videosnarf)
	cp -a videosnarf $(INSTALL_DIR)/bin
endif
# manipulators
	$(MAKE) -C manipulators install
	$(MAKE) -C system install


# install and permission
ifndef DESTDIR
install: installcp
	chmod 777 $(INSTALL_DIR)
	chmod 777 $(INSTALL_DIR)/cfg
	chmod a+w $(INSTALL_DIR)/cfg/*
	chmod -R 777 $(INSTALL_DIR)/xi/app/tmp
else
install: installcp
	chmod 777 $(INSTALL_DIR)
	chmod 777 $(INSTALL_DIR)/cfg
	chmod a+w $(INSTALL_DIR)/cfg/*
	chmod -R 777 $(INSTALL_DIR)/xi/app/tmp
	mkdir -p $(DESTDIR)/etc/apache2/sites-available/
	mkdir -p $(DESTDIR)/etc/apache2/sites-enabled/
	cp $(INSTALL_DIR)/cfg/apache_xi $(DESTDIR)/etc/apache2/sites-available/httpd-xplico.conf
	mkdir -p $(DESTDIR)/etc/httpd/conf/extra
	cp $(INSTALL_DIR)/cfg/httpd_xi $(DESTDIR)/etc/httpd/conf/extra/httpd-xplico.conf
	mkdir -p $(DESTDIR)/usr/lib/systemd/system
	cp xplico.service $(DESTDIR)/usr/lib/systemd/system/
	mkdir -p $(DESTDIR)/opt/xplico/xi/app/tmp/cache
	mkdir -p $(DESTDIR)/opt/xplico/xi/app/tmp/cache/models
	mkdir -p $(DESTDIR)/opt/xplico/xi/app/tmp/cache/persistent
	mkdir -p $(DESTDIR)/opt/xplico/xi/app/tmp/cache/views
	chmod -R 777 $(DESTDIR)/opt/xplico/xi/app/tmp/cache
endif


.PHONY: check_version
check_version:
	@./check_version.sh none


.PHONY: reset
reset:
	rm -rf tmp/*
	rm -rf xdecode


tgz: clean
	cd ..; tar cvzf xplico-$(VER).tgz --exclude cscope.files --exclude cscope.out --exclude CVS --exclude .git --exclude release --exclude .svn xplico*/
	mkdir -p release
	mv ../xplico-$(VER).tgz release
	rm -f release/*.gpg


%.o: %.c
	$(CC) $(MCFLAGS) -c -o $@ $< 


.depend: $(SRC)
	$(CC) -M $(MCFLAGS) $(SRC) > $@


sinclude .depend

=== capt_dissectors/Makefile ===
# Makefile
#
# $Id: Makefile,v 1.6 2007/10/08 12:26:23 costa Exp $
#
# Xplico - Internet Traffic Decoder
# By Gianluca Costa <g.costa@xplico.org>
# Copyright 2007 Gianluca Costa & Andrea de Franceschi. Web: www.xplico.org
#
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#


# sub directory
SUBDIRS = pcap pol rltm rltm_pol ca

# log captures flags
CFLAGS += -DLOG_COMPONENT=-2

# sec file
SRC = capture.c

# To make it visible
export CC CCPP ROOT_DIR CFLAGS LDFLAGS INCLUDE_DIR

all: subdir libxplico_capt.a


libxplico_capt.a: $(SRC:.c=.o)
	ar rcs $@ $(SRC:.c=.o)
	ranlib $@


subdir:
	@for dir in $(SUBDIRS) ; \
	   do $(MAKE) -C $$dir || exit 1; \
	 done \

clean:
	@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir clean || exit 1; done
	rm -f *.o *.so *.a *~ include/*~ .depend *.expand


.depend: $(SRC)
	$(CC) -M $(CFLAGS) $(SRC) > $@


sinclude .depend

=== common/Makefile ===
# Makefile
#
# $Id: Makefile,v 1.11 2007/10/30 13:28:28 costa Exp $
#
# Xplico - Internet Traffic Decoder
# By Gianluca Costa <g.costa@xplico.org>
# Copyright 2007 Gianluca Costa & Andrea de Franceschi. Web: www.xplico.org
#
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#


# sub directory
SUBDIRS = 

# log core flags
CFLAGS += -DLOG_COMPONENT=-1

# src file
SRC = dmemory.c log.c flow.c dis_mod.c config_param.c field_types.c prot.c \
	packet.c fthread.c grp_flows.c grp_rule.c strutil.c embedded.c link.c \
	dnsdb.c geoiploc.c fileformat.c genfun.c


# To make it visible
export CC CCPP ROOT_DIR CFLAGS LDFLAGS INCLUDE_DIR


all: subdir libxplico_core.a


libxplico_core.a: $(SRC:.c=.o)
	ar rcs $@ $(SRC:.c=.o)
	ranlib $@


subdir:
	@for dir in $(SUBDIRS) ; \
	   do $(MAKE) -C $$dir || exit 1; \
	 done \

clean:
	@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir clean || exit 1; done
	rm -f *.o *.so *.a *~ include/*~ .depend *.expand


.depend: $(SRC)
	$(CC) -M $(CFLAGS) $(SRC) > $@


sinclude .depend

=== dispatch/Makefile ===
# Makefile
#
# $Id: $
#
# Xplico - Internet Traffic Decoder
# By Gianluca Costa <g.costa@xplico.org>
# Copyright 2007-2009 Gianluca Costa & Andrea de Franceschi. Web: www.xplico.org
#
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#


# sub directory
SUBDIRS = none cli lite pcap2wav capostgres ximysql

# log dispatcer flags
CFLAGS += -DLOG_COMPONENT=-3

# src file
SRC = dispatch.c disp_manipula.c gearth.c

# To make it visible
export CC CCPP ROOT_DIR CFLAGS LDFLAGS INCLUDE_DIR


all: subdir libxplico_dispatch.a


libxplico_dispatch.a: $(SRC:.c=.o)
	ar rcs $@ $(SRC:.c=.o)
	ranlib $@


subdir:
	@for dir in $(SUBDIRS) ; \
	   do $(MAKE) -C $$dir || exit 1; \
	 done \

clean:
	@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir clean || exit 1; done
	rm -f *.o *.so *.a *~ include/*~ .depend *.expand


.depend: $(SRC) Makefile
	$(CC) -M $(CFLAGS) $(SRC) > .depend


sinclude .depend

=== dissectors/Makefile ===
# Makefile
#
# $Id:  $
#
# Xplico - Internet Traffic Decoder
# By Gianluca Costa <g.costa@xplico.org>
# Copyright 2007-2012 Gianluca Costa & Andrea de Franceschi. Web: www.xplico.org
#
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#


# sub directory
SUBDIRS =  pcapf eth ip ipv6 tcp tcp_grbg udp udp_grbg http pop imap smtp
SUBDIRS += ppp pol sdp ftp dns icmp ipp pjl mms sll tftp vlan l2tp pppoe nntp
SUBDIRS += ieee80211 llc fbwchat telnet webmail httpfd rtp sip rtcp irc msn paltalk
SUBDIRS += arp paltalk_express radiotap icmpv6 ppi syslog prism null chdlc webymsg
SUBDIRS += wa mgcp dns_ca tcp_ca udp_ca ipsec ipsec_ca mpls gtp gre ssl

# src file
SRC = in_cksum.c http.c sdp.c link.c
CFLAGS_CORE = $(CFLAGS)

# To make it visible
export CC CCPP ROOT_DIR CFLAGS LDFLAGS INCLUDE_DIR

# log parametrization for core
CFLAGS_CORE += -DLOG_COMPONENT=-1

all: subdir libxplico_dissector.a


libxplico_dissector.a: $(SRC:.c=.o)
	ar rcs $@ $(SRC:.c=.o)
	ranlib $@


subdir:
	@for dir in $(SUBDIRS) ; \
	   do $(MAKE) -C $$dir || exit 1; \
	 done \

clean:
	@for dir in $(SUBDIRS); do $(MAKE) -C $$dir clean || exit 1;rm -f $$dir/dis_log.c;  done
	rm -f *.o *.so *.a *~ include/*~ .depend *.expand


.depend: $(SRC) dis_log.c
	@for dir in $(SUBDIRS) ; do cp -a dis_log.c $$dir/dis_log.c; done
	$(CC) -M $(CFLAGS_CORE) $(SRC) > $@


# custom to use CFLAGS_CORE
.c.o:
	$(CC) -c $< -o $@ $(CFLAGS_CORE)


ifdef SRC
sinclude .depend
endif

=== manipulators/Makefile ===
# Makefile
#
# $Id:  $
#
# Xplico - Internet Traffic Decoder
# By Gianluca Costa <g.costa@xplico.org>
# Copyright 2007-2009 Gianluca Costa & Andrea de Franceschi. Web: www.xplico.org
#
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#


# sub directory
SUBDIRS = www mfbc mwmail mfile mpaltalk mwebymsg


# To make it visible
export CC CCPP ROOT_DIR CFLAGS LDFLAGS INCLUDE_DIR

all: subdir 


subdir:
	@for dir in $(SUBDIRS) ; \
	   do $(MAKE) -C $$dir || exit 1; \
	 done

clean:
	@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir clean || exit 1; done
	rm -f *~ .depend *.expand core/*~


install:
	@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir install || exit 1; done


.depend: $(SRC)
#	$(CC) -M $(CFLAGS) $(SRC) > $@


sinclude .depend

=== system/Makefile ===
# Makefile
#
# $Id: $
#
# Xplico System
# By Gianluca Costa <g.costa@xplico.org>
# Copyright 2007-2012 Gianluca Costa & Andrea de Franceschi. Web: www.xplico.org
#
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#


# sub directory
SUBDIRS = dema trigcap script



# To make it visible
export CC CCPP ROOT_DIR CFLAGS LDFLAGS INCLUDE_DIR INSTALL_DIR

all: subdir 


subdir:
	@for dir in $(SUBDIRS) ; \
	   do $(MAKE) -C $$dir  || exit 1; \
	 done \

clean:
	@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir clean || exit 1; done
	rm -f *~ .depend */*~ */*/*~ *.expand
	rm -f xi*/*~ xi*/*/*~ xi*/*/*/*~
	rm -f xi*/*/*/*/*~ xi*/*/*/*/*/*~ 
	rm -f xi*/*/*/*/*/*/*~ xi*/*/*/*/*/*/*~
	rm -f xi*/app/tmp/cache/*/*
	rm -f pcap2wav/*~ pcap2wav/*/*~ pcap2wav/*/*/*~
	rm -rf pcap2wav/server/php/files/*


install:
	mkdir -p $(INSTALL_DIR)/script/db/sqlite
	mkdir -p $(INSTALL_DIR)/script/db/mysql
	rm -f */*~ */*/*~
	cp script/*.sh $(INSTALL_DIR)/script
	cp script/*.py $(INSTALL_DIR)/script
	cp script/*.pyc $(INSTALL_DIR)/script
	cp script/*.php $(INSTALL_DIR)/script
	cp script/xplico $(INSTALL_DIR)/script
	cp script/sol_subdir.cfg $(INSTALL_DIR)/cfg
	cp db/sqlite3/*.sh $(INSTALL_DIR)/script/db/sqlite
	cp db/sqlite3/*.py $(INSTALL_DIR)/script/db/sqlite
	cp db/sqlite3/*.sql $(INSTALL_DIR)/script/db/sqlite
	cp db/mysql/*.sh $(INSTALL_DIR)/script/db/mysql
#	cp db/mysql/*.py $(INSTALL_DIR)/script/db/mysql
	cp db/mysql/*.sql $(INSTALL_DIR)/script/db/mysql
	@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir install || exit 1; done
	cd $(INSTALL_DIR)/script/db/sqlite; ./create_xplico_db.sh $(INSTALL_DIR)
	cp -a xi3 $(INSTALL_DIR)/xi
	cp web_cfg/apache_xi $(INSTALL_DIR)/cfg
	cp web_cfg/httpd_xi $(INSTALL_DIR)/cfg


.depend: $(SRC)
#	$(CC) -M $(CFLAGS) $(SRC) > $@


sinclude .depend

=== capt_dissectors/ca/Makefile ===
# Makefile
#
# $Id: $
#
# Xplico - Internet Traffic Decoder
# By Gianluca Costa <g.costa@xplico.org>
# Copyright 2007 Gianluca Costa & Andrea de Franceschi. Web: www.xplico.org
#
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

# capture name
CAPT_NAME = cap_ca


# captue library (.so)
CAPT_SO = $(CAPT_NAME).so

# sub directory
SUBDIRS = 

# src file
SRC = ca.c

# compilation
LDFLAGS = -lpcap

# To make it visible
export CC CCPP ROOT_DIR CFLAGS LDFLAGS INCLUDE_DIR


all: subdir $(CAPT_SO)


$(CAPT_SO): $(SRC:.c=.o)
	$(CC) $(CFLAGS) -shared -Wl,-soname,$@ -o $@ $(SRC:.c=.o) $(LDFLAGS)


subdir:
	@for dir in $(SUBDIRS) ; \
	   do $(MAKE) -C $$dir || exit 1; \
	 done \

clean:
	@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir clean || exit 1; done
	rm -f *.o *.so *~ include/*~ .depend *.expand


.depend: $(SRC)
	$(CC) -M $(CFLAGS) $(SRC) > $@


sinclude .depend

=== capt_dissectors/pcap/Makefile ===
# Makefile
#
# $Id: Makefile,v 1.1 2007/05/12 06:22:31 costa Exp $
#
# Xplico - Internet Traffic Decoder
# By Gianluca Costa <g.costa@xplico.org>
# Copyright 2007 Gianluca Costa & Andrea de Franceschi. Web: www.xplico.org
#
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

# capture name
CAPT_NAME = cap_pcap


# captue library (.so)
CAPT_SO = $(CAPT_NAME).so

# sub directory
SUBDIRS = 

# src file
SRC = pcap.c

# compilation
LDFLAGS = -lpcap

# To make it visible
export CC CCPP ROOT_DIR CFLAGS LDFLAGS INCLUDE_DIR


all: subdir $(CAPT_SO)


$(CAPT_SO): $(SRC:.c=.o)
	$(CC) $(CFLAGS) -shared -Wl,-soname,$@ -o $@ $(SRC:.c=.o) $(LDFLAGS)


subdir:
	@for dir in $(SUBDIRS) ; \
	   do $(MAKE) -C $$dir || exit 1; \
	 done \

clean:
	@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir clean || exit 1; done
	rm -f *.o *.so *~ include/*~ .depend *.expand


.depend: $(SRC)
	$(CC) -M $(CFLAGS) $(SRC) > $@


sinclude .depend

=== capt_dissectors/pol/Makefile ===
# Makefile
#
# $Id: Makefile,v 1.1 2007/06/05 17:57:14 costa Exp $
#
# Xplico - Internet Traffic Decoder
# By Gianluca Costa <g.costa@xplico.org>
# Copyright 2007 Gianluca Costa & Andrea de Franceschi. Web: www.xplico.org
#
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

# capture name
CAPT_NAME = cap_pol


# captue library (.so)
CAPT_SO = $(CAPT_NAME).so

# sub directory
SUBDIRS = 

# src file
SRC = pol.c

# compilation
LDFLAGS = -lpcap

# To make it visible
export CC CCPP ROOT_DIR CFLAGS LDFLAGS INCLUDE_DIR


all: subdir $(CAPT_SO)


$(CAPT_SO): $(SRC:.c=.o)
	$(CC) $(CFLAGS) -shared -Wl,-soname,$@ -o $@ $(SRC:.c=.o) $(LDFLAGS)


subdir:
	@for dir in $(SUBDIRS) ; \
	   do $(MAKE) -C $$dir || exit 1; \
	 done \

clean:
	@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir clean || exit 1; done
	rm -f *.o *.so *~ include/*~ .depend *.expand


.depend: $(SRC)
	$(CC) -M $(CFLAGS) $(SRC) > $@


sinclude .depend

=== capt_dissectors/rltm/Makefile ===
# Makefile
#
# $Id: Makefile,v 1.1 2007/10/08 12:26:47 costa Exp $
#
# Xplico - Internet Traffic Decoder
# By Gianluca Costa <g.costa@xplico.org>
# Copyright 2007 Gianluca Costa & Andrea de Franceschi. Web: www.xplico.org
#
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

# capture name
CAPT_NAME = cap_rltm


# captue library (.so)
CAPT_SO = $(CAPT_NAME).so

# sub directory
SUBDIRS = 

# src file
SRC = rltm.c

# compilation
LDFLAGS = -lpcap

# To make it visible
export CC CCPP ROOT_DIR CFLAGS LDFLAGS INCLUDE_DIR


all: subdir $(CAPT_SO)


$(CAPT_SO): $(SRC:.c=.o)
	$(CC) $(CFLAGS) -shared -Wl,-soname,$@ -o $@ $(SRC:.c=.o) $(LDFLAGS)


subdir:
	@for dir in $(SUBDIRS) ; \
	   do $(MAKE) -C $$dir || exit 1; \
	 done \

clean:
	@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir clean || exit 1; done
	rm -f *.o *.so *~ include/*~ .depend *.expand


.depend: $(SRC)
	$(CC) -M $(CFLAGS) $(SRC) > $@


sinclude .depend

=== capt_dissectors/rltm_pol/Makefile ===
# Makefile
#
# $Id:$
#
# Xplico - Internet Traffic Decoder
# By Gianluca Costa <g.costa@xplico.org>
# Copyright 2009 Gianluca Costa & Andrea de Franceschi. Web: www.xplico.org
#
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

# capture name
CAPT_NAME = cap_rltm_pol


# captue library (.so)
CAPT_SO = $(CAPT_NAME).so

# sub directory
SUBDIRS = 

# src file
SRC = rltm_pol.c

# compilation
LDFLAGS = -lpcap

# To make it visible
export CC CCPP ROOT_DIR CFLAGS LDFLAGS INCLUDE_DIR


all: subdir $(CAPT_SO)


$(CAPT_SO): $(SRC:.c=.o)
	$(CC) $(CFLAGS) -shared -Wl,-soname,$@ -o $@ $(SRC:.c=.o) $(LDFLAGS)


subdir:
	@for dir in $(SUBDIRS) ; \
	   do $(MAKE) -C $$dir || exit 1; \
	 done \

clean:
	@for dir in $(SUBDIRS) ; do $(MAKE) -C $$dir clean || exit 1; done
	rm -f *.o *.so *~ include/*~ .depend *.expand


.depend: $(SRC)
	$(CC) -M $(CFLAGS) $(SRC) > $@


sinclude .depend

=== debian/changelog ===
xplico (1.2.2-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:43:04 +0200

xplico (1.2.2-0kali6) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line 2.
  * Fix field name case in debian/tests/control (Test-command ⇒ Test-Command).
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * d/watch: Update to use sourceforge not debian redirector.
  * Don't build on unsupported architectures.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Sun, 09 Apr 2023 23:41:49 -0500

xplico (1.2.2-0kali5) kali-dev; urgency=medium

  * Update Cake for PHP 8

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 09 Sep 2022 23:23:22 +0700

xplico (1.2.2-0kali4) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.

  [ Ben Wilson ]
  * Add XSBC-Original-Maintainer
  * Update email address
  * Fix email address
  * Add Uploaders
  * Update email address

  [ Arnaud Rebillout ]
  * Add XS-Debian-Vcs-* fields

  [ Sophie Brun ]
  * Refresh patches
  * Update code for new ndpi 4.x
  * Add superficial autopkgtest
  * Use version 4 in debian/watch
  * Bump Standards-Version to 4.6.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 20 Apr 2022 12:00:06 +0200

xplico (1.2.2-0kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.
  * Fix day-of-week for changelog entries 0.7.1, 0.5.3.

  [ Ben Wilson ]
  * Fix email address

  [ Arnaud Rebillout ]
  * Add patch to build against libndpi 3.x
  * Update Standards-Version, bump dh compat

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 10 Feb 2021 18:30:24 +0700

xplico (1.2.2-0kali2) kali-dev; urgency=medium

  * Add a patch to have an explicit message about the existing script to
    download the .mmdb

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Aug 2019 17:13:44 +0200

xplico (1.2.2-0kali1) kali-dev; urgency=medium

  * New upstream release.
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Fix build with json-c 0.13
  * Fix typo in README.Debian
  * Improve xplico.service
  * Ignore lintian error dir-or-file-in-opt
  * Ignore missing sources lintian error
  * Ignore lintian's possible-gpl-code-linked-with-openssl as well
  * Switch to debhelper compat level 12
  * Clean up rules file
  * Disable parallel building
  * Fix upstream makefile to not fudge with the debian dir

 -- Raphaël Hertzog <raphael@offensive-security.com>  Mon, 19 Aug 2019 09:18:41 +0200

xplico (1.2.1+git20181226-0kali1) kali-dev; urgency=medium

  * Remove old useless patch
  * New upstream version 1.2.1+git20181226
  * Add a patch to find ndpi lib in debian
  * Update README.Debian

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Feb 2019 10:34:25 +0100

xplico (1.2.1-0kali3) kali-dev; urgency=medium

  * Add xplico-webui & xplico-webui-stop

 -- Ben Wilson <g0tmi1k@kali.org>  Fri, 02 Mar 2018 15:51:14 +0000

xplico (1.2.1-0kali2) kali-dev; urgency=medium

  * Fix issue 4560:
    - Add missing directories in /opt/xplico/xi/app/tmp/cache/
    - Import a patch for Cake to be compatible with php7
  * Add a patch to search correctly php.ini

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Feb 2018 10:42:58 +0100

xplico (1.2.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Install the script for GeoLite databases
  * Add a patch to improve config file

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 23 Nov 2017 10:39:09 +0100

xplico (1.2.1) stable; urgency=low
  * Bugfix: WUI: added check in the registration page; added the file name check on the pcap upload page
 -- Gianluca Costa <g.costa@xplico.org>  Sun, 12 Nov 2017 09:10:00 +0200

xplico (1.2.0-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 16 Jan 2017 15:31:25 +0100

xplico (1.2.0) stable; urgency=low
  * Migration from PHP5 to PHP7
  * CakePHP 2.8
  * IMAP bug fix
  * Bugfix: reported on Security Onion
 -- Gianluca Costa <g.costa@xplico.org>  Sun, 15 Jan 2017 11:10:00 +0200

xplico (1.1.2-0kali4) kali-dev; urgency=medium

  * Add missing build-dep: zlib1g-dev

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Jan 2017 14:08:41 +0100

xplico (1.1.2-0kali3) kali-dev; urgency=medium

  * Fix postinst script to work with any PHP version.

 -- Raphaël Hertzog <buxy@kali.org>  Wed, 13 Jul 2016 21:10:39 +0200

xplico (1.1.2-0kali2) kali-dev; urgency=medium

  * Update dependencies:
    - replace python3.4 with generic python3
    - replace php5-* with php-* equivalents

 -- Raphaël Hertzog <buxy@kali.org>  Tue, 12 Jul 2016 18:30:17 +0200

xplico (1.1.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Refresh 0001-Use-pkgconfig-to-retrieve-the-correct-parameters-to-.patch
  * Add libpq-dev as build-depends
  * Add a patch to have hardened build LDFLAGS
  * Update debian/init.d and debian/docs

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 21 Jan 2016 10:56:00 +0100

xplico (1.1.2) stable; urgency=low
  * IPv4 defragmentation
  * CapAnalysis dissectors and dispatcher
 -- Gianluca Costa <g.costa@xplico.org>  Sun, 10 Jan 2016 12:00:00 +0200

xplico (1.1.1-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Drop patches: 0002-Fixes-to-compile-with-libndpi-1.5.patch (useless patch)
    and 0003-Fixes-to-compile-in-kali-dev.patch (applied upstream)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Nov 2015 11:24:21 +0100



=== debian/control ===
Source: xplico
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
XSBC-Original-Maintainer: Gianluca Costa <g.costa@xplico.org>
Build-Depends:
 autoconf,
# automake,
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 libjson-c-dev,
 libmaxminddb-dev,
 libndpi-dev,
 libpcap-dev,
 libpq-dev,
 libsqlite3-dev,
 libssl-dev,
 libtool,
 pkg-config,
 python3-dev,
 sqlite3,
 zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://www.xplico.org
XS-Debian-Vcs-Git: n/a
XS-Debian-Vcs-Browser: n/a

Package: xplico
Architecture: amd64 i386
Pre-Depends: ${misc:Pre-Depends}
Depends:
 apache2,
 binfmt-support,
 lame,
 libapache2-mod-php,
 openssl,
 php-cli,
 php-json,
 php-sqlite3,
 python3,
 python3-httplib2,
 python3-psycopg2,
 recode,
 sox,
 sqlite3,
 tshark,
 ${shlibs:Depends},
 ${misc:Depends},
 php-common,
Description: Network Forensic Analysis Tool (NFAT)
 The goal of Xplico is extract from an internet traffic
 capture the applications data contained. For example,
 from a pcap file Xplico extracts each email (POP, IMAP,
 and SMTP protocols), all HTTP contents, each VoIP call (SIP, MGCP, H323),
 FTP, TFTP, and so on. Xplico is not a network protocol analyzer.

=== debian/watch ===
version=4
opts=searchmode=plain \
https://sourceforge.net/projects/xplico/rss?limit=10000000000000000000 \
https?://.*/xplico-(\d.*)\.tar\.gz

## xplico 1.2.2+git20200828.1.155e9d0

=== debian/changelog ===
xplico (1.2.2+git20200828.1.155e9d0-0kali1~jan+nus2) kali-bleeding-edge; urgency=low

  [ Kali Janitor ]
  * New upstream snapshot.
  * Drop patch change-path-to-ndpi.patch, present upstream.
  * Drop patch update-for-ndpi-3.x.patch, present upstream.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Wed, 14 Dec 2022 03:29:12 -0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: xplico
 Section: net
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Mati Aharoni <muts@kali.org>,
+           Ben Wilson <g0tmi1k@kali.org>,
+           Sophie Brun <sophie@offensive-security.com>,
+           Arnaud Rebillout <arnaudr@kali.org>,
 XSBC-Original-Maintainer: Gianluca Costa <g.costa@xplico.org>
 Build-Depends:
  autoconf,
@@ -21,10 +24,12 @@
  python3-dev,
  sqlite3,
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://www.xplico.org
 XS-Debian-Vcs-Git: n/a
 XS-Debian-Vcs-Browser: n/a
+Vcs-Git: https://gitlab.com/kalilinux/packages/xplico.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/xplico
 
 Package: xplico
 Architecture: amd64 i386

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_install:
	dh_auto_install
	rm debian/xplico/opt/xplico/bin/*.pyc debian/xplico/opt/xplico/script/*.pyc
	rm debian/xplico/opt/xplico/COPYING.* debian/xplico/opt/xplico/LICENSE
	cp geolite_update.sh debian/xplico/opt/xplico
	mkdir -p debian/xplico/opt/xplico/xi/app/tmp/cache/models
	mkdir -p debian/xplico/opt/xplico/xi/app/tmp/cache/persistent
	install -D -m 755 debian/scripts/xplico-webui debian/xplico/usr/bin/xplico-webui
	install -D -m 755 debian/scripts/xplico-webui-stop debian/xplico/usr/bin/xplico-webui-stop

=== debian/tests/control ===
Restrictions: needs-root, superficial
Test-Command: xplico -h

=== debian/watch ===
version=4
http://sf.net/xplico/xplico-(?:v\.)?(\d.*)\.(?:tgz|tar\.gz)
